node-browserstack-api-wrapper
-----------------------------

Simple Wrapper module for using BrowserStack's API in node.js


How To Use
----------

var browserStack = require('node-browserstack-api-wrapper');

var bsClient = browserStack.createBrowserStackClient(YOUR_USERNAME, YOUR_API_KEY);

bsClient.getAPIStatus(function(err, result){
	
	// GIVES API STATUS
});

bsClient.getBrowsers(param, function(err, result){
	
	// GET BROWSERS LIST, param -- 'flat', 'all', 'null'
});

bsClient.createWorker(options, function(err, result){
	
	// CREATES WORKER , options is a object -- A valid request must contain a os, os_version, and a url. timeout is optional but defaults to 300 seconds. browser and browser_version are optional for mobile os but required for desktop os.
});

bsClient.deleteWorker(options, function(err, result){
	
	// FOR TERMINATING A WORKER.
});

bsClient.getWorkerStatus(options, function(err, result){
	
	// GET WORKER STATUS
});

bsClient.getAllWorkersStatus(options, function(err, result){
	
	// GET STATUS ALL WORKERS
});

bsClient.getScreenshotOfCurrentStateOfWorker(options, function(err, result){
	
	// GET THE SCREENSHOT OF CURRENT STATE OF WORKER
});






